
create table NotaFiscalSW
(
    CodigoEmp          CHAR(2)                not null,
    CodigoUnidade      CHAR(8)                not null,
    NumeroNFE          CHAR(15)               not null,
    DataImportacao     DATETIME               not null,
    Emissao            DATETIME               null    ,
    Competencia        DATETIME               null    ,
    CodVerificacao     CHAR(50)               not null,
    CodigoRPS          CHAR(5)                not null,
    CodigoDocumento    CHAR(10)               not null,
    SerieRPS           CHAR(5)                not null,
    NumeroRPS          CHAR(15)               not null,
    EmissaoRPS         DATETIME               null    ,
    InscMuniUni        CHAR(15)               not null,
    Simples            CHAR(1)                not null,
    IncentCult         CHAR(1)                not null,
    RegEspTrib         CHAR(2)                not null,
    StatusNFE          CHAR(2)                not null,
    GuiaQuitada        DATETIME               null    ,
    NumeroGuia         CHAR(15)               not null, 
    Protocolo          CHAR(15)               not null, 
    ValorServicos      DEC(12,2)              not null,
    ValorDeducao       DEC(12,2)              not null,
    ValorDescCond      DEC(12,2)              not null,
    ValorDescIncd      DEC(12,2)              not null,
    ValorIRRF          DEC(12,2)              not null,
    ValorINSS          DEC(12,2)              not null,
    ValorPIS           DEC(12,2)              not null,
    ValorCOFINS        DEC(12,2)              not null,
    ValorCSLL          DEC(12,2)              not null,
    ValorISSRET        DEC(12,2)              not null,
    ValorOUTRET        DEC(12,2)              not null,
    CodFiscal          CHAR(8)                not null,
    PercISS            DEC(5,2)               not null,
    ValorISS           DEC(12,2)              not null,
    ValorCredito       DEC(12,2)              not null,
    ValorBC            DEC(12,2)              not null,
    ValorLiqNFSE       DEC(12,2)              not null,
    ValorTotNFSE       DEC(12,2)              not null,
    ValorTotTrib       DEC(12,2)              not null,
    ISSRetido          CHAR(1)                not null,
    MunicipioPrest     CHAR(7)                not null,
    CGCCPFCliente      CHAR(1)                not null,
    CGCCliente         CHAR(14)               not null,
    CPFCliente         CHAR(11)               not null,
    InscMuniCliente    CHAR(15)               not null,
    InscEstaCliente    CHAR(15)               not null,
    DescCodFiscal      CHAR(100)              not null,
    LinkNFSe           CHAR(200)              not null,
    DataEfetivado      DATETIME               null    , 
    MatrImportacao     CHAR(15)               not null,
    MatrEfetivado      CHAR(15)               not null
);

insert into NotaFiscalSW select CodigoEmp, CodigoUnidade, NumeroNFE, DataImportacao, Emissao, Competencia, CodVerificacao+'                                         ', 
                                CodigoRPS, CodigoDocumento, SerieRPS, NumeroRPS, EmissaoRPS, InscMuniUni, Simples, IncentCult, RegEspTrib, StatusNFE, 
                                GuiaQuitada, NumeroGuia, Protocolo, ValorServicos, ValorDeducao, ValorDescCond, ValorDescIncd, ValorIRRF, ValorINSS,
                                ValorPIS, ValorCOFINS, ValorCSLL, ValorISSRET, ValorOUTRET, CodFiscal, PercISS, ValorISS, ValorCredito, 0,  0, 0, 0,
                                ISSRetido, '0000000', CGCCPFCliente, CGCCliente, CPFCliente, InscMuniCliente, InscEstaCliente, DescCodFiscal,
                                '                                                                                                                                                                                                        ',
                                DataEfetivado, MatrImportacao, MatrEfetivado from NotaFiscalS;

alter table NotaFiscalS drop constraint pk_NotaFiscalS;

drop table NotaFiscalS; 

create table NotaFiscalS
(
    CodigoEmp          CHAR(2)                not null,
    CodigoUnidade      CHAR(8)                not null,
    NumeroNFE          CHAR(15)               not null,
    DataImportacao     DATETIME               not null,
    Emissao            DATETIME               null    ,
    Competencia        DATETIME               null    ,
    CodVerificacao     CHAR(50)               not null,
    CodigoRPS          CHAR(5)                not null,
    CodigoDocumento    CHAR(10)               not null,
    SerieRPS           CHAR(5)                not null,
    NumeroRPS          CHAR(15)               not null,
    EmissaoRPS         DATETIME               null    ,
    InscMuniUni        CHAR(15)               not null,
    Simples            CHAR(1)                not null,
    IncentCult         CHAR(1)                not null,
    RegEspTrib         CHAR(2)                not null,
    StatusNFE          CHAR(2)                not null,
    GuiaQuitada        DATETIME               null    ,
    NumeroGuia         CHAR(15)               not null, 
    Protocolo          CHAR(15)               not null, 
    ValorServicos      DEC(12,2)              not null,
    ValorDeducao       DEC(12,2)              not null,
    ValorDescCond      DEC(12,2)              not null,
    ValorDescIncd      DEC(12,2)              not null,
    ValorIRRF          DEC(12,2)              not null,
    ValorINSS          DEC(12,2)              not null,
    ValorPIS           DEC(12,2)              not null,
    ValorCOFINS        DEC(12,2)              not null,
    ValorCSLL          DEC(12,2)              not null,
    ValorISSRET        DEC(12,2)              not null,
    ValorOUTRET        DEC(12,2)              not null,
    CodFiscal          CHAR(8)                not null,
    PercISS            DEC(5,2)               not null,
    ValorISS           DEC(12,2)              not null,
    ValorCredito       DEC(12,2)              not null,
    ValorBC            DEC(12,2)              not null,
    ValorLiqNFSE       DEC(12,2)              not null,
    ValorTotNFSE       DEC(12,2)              not null,
    ValorTotTrib       DEC(12,2)              not null,
    ISSRetido          CHAR(1)                not null,
    MunicipioPrest     CHAR(7)                not null,
    CGCCPFCliente      CHAR(1)                not null,
    CGCCliente         CHAR(14)               not null,
    CPFCliente         CHAR(11)               not null,
    InscMuniCliente    CHAR(15)               not null,
    InscEstaCliente    CHAR(15)               not null,
    DescCodFiscal      CHAR(100)              not null,
    LinkNFSe           CHAR(200)              not null,
    DataEfetivado      DATETIME               null    , 
    MatrImportacao     CHAR(15)               not null,
    MatrEfetivado      CHAR(15)               not null
);

insert into NotaFiscalS select * from NotaFiscalSW; 

alter table NotaFiscalS
    add constraint pk_NotaFiscalS primary key (CodigoEmp, CodigoUnidade, NumeroNFE, DataImportacao);
 
create index NotaFiscalS_FK1 on NotaFiscalS (CodigoEmp, CodigoUnidade, NumeroNFE);

GRANT ALL ON NotaFiscalS TO BYTEC;

drop table NotaFiscalSW;
